% MATLAB SIMULATION OF NSA FS-1016 CELP v3.2
% COPYRIGHT (C) 1995-99 ANDREAS SPANIAS AND TED PAINTER
%
% This Copyright applies only to this particular MATLAB implementation
% of the FS-1016 CELP coder.  The MATLAB software is intended only for educational
% purposes.  No other use is intended or authorized.  This is not a public
% domain program and distribution to individuals or networks is strictly
% prohibited.  Be aware that use of the standard in any form is goverened
% by rules of the US DoD.  Therefore patents and royalties may apply to
% authors, companies, or committees associated with this standard, FS-1016.  For
% questions regarding the MATLAB implementation please contact Andreas
% Spanias at (480) 965-1837.  For questions on rules,
% royalties, or patents associated with the standard, please contact the DoD.
%
% ALL DERIVATIVE WORKS MUST INCLUDE THIS COPYRIGHT NOTICE.
%
% ******************************************************************
% BITXOR
%
% DEVELOPED TO SUPPORT BITWISE OPERATIONS WHEN PORTING C TO MATLAB
% 7-22-94
%
% ******************************************************************
%
% DESCRIPTION
%
% Compute bitwise XOR (like C '^' operator) for two n-bit integers
%
% DESIGN NOTES
%
% Uses n-bit integer to binary forward/backward conversions, int2bin
% and bin2int.
%
% SEE ALSO:  BIN2INT, INT2BIN
%
% VARIABLES
%
% INPUTS
%   a, b       -   Input integers (Actually double floats in MATLAB)
%                  These are truncated to n bits.
%   n          -   Desired binary word length for XOR operation
%
% OUTPUTS
%   axorb      -   Output integer result, a ^ b.
%
% ******************************************************************

function [axorb] = bitxor1(a, b, n)

% COMPUTE XOR, USING BUILT IN MATLAB XOR FUNCTION
% sprintf('i am coming here')
axorb = bin2int( xor( int2bin(a,n), int2bin(b,n) ) );

% SAVE TO USE WITH VERSIONS OF MATLAB WHICH DO NOT HAVE BUILT-IN XOR
% axorb = ( x & (~y) ) | ( y & (~x) );
