% MATLAB SIMULATION OF NSA FS-1016 CELP v3.2
% COPYRIGHT (C) 1995-99 ANDREAS SPANIAS AND TED PAINTER
%
% This Copyright applies only to this particular MATLAB implementation
% of the FS-1016 CELP coder.  The MATLAB software is intended only for educational
% purposes.  No other use is intended or authorized.  This is not a public
% domain program and distribution to individuals or networks is strictly
% prohibited.  Be aware that use of the standard in any form is goverened
% by rules of the US DoD.  Therefore patents and royalties may apply to
% authors, companies, or committees associated with this standard, FS-1016.  For
% questions regarding the MATLAB implementation please contact Andreas
% Spanias, (480) 965-1837.  For questions on rules,
% royalties, or patents associated with the standard, please contact the DoD.
%
% ALL DERIVATIVE WORKS MUST INCLUDE THIS COPYRIGHT NOTICE.
%

function cr

% COMPUTE WINDOW POSITIONS BASED ON SCREEN DIMENSIONS
ss = get( 0, 'ScreenSize' );
xorg = ( ss(3) - 600 ) / 2;
yorg = ( ss(4) - 400 ) / 2;
F1POS = [ xorg yorg 600 400 ];

% INIT COPYRIGHT NOTICE POSITIONS AND TEXT
TOP = 365; W = 600; H = 20; COL1 = 70; COL2 = 80; COL3 = 90; COL4 = 170;
C1P = [COL1 TOP W H];
C1aP= [COL1 TOP-H W H];
C2P = [COL1 TOP-2*H W H];
C3P = [COL1 TOP-4*H W H];
C4P = [COL1 TOP-5*H W H];
C5P = [COL1 TOP-6*H W H];
C6P = [COL1 TOP-7*H W H];
C7P = [COL1 TOP-8*H W H];
C8P = [COL1 TOP-9*H W H];
C9P = [COL1 TOP-10*H W H];
C10P = [COL1 TOP-11*H W H];
C11P = [COL1 TOP-12*H W H];
C12P = [COL1 TOP-13*H W H];
C13P = [COL1 TOP-15*H W H];
OKCPOS = [COL1,20,250,30];

NameStr = 'NSA FS-1016 CELP v3.2';
C1S = 'MATLAB SIMULATION OF NSA FS-1016 CELP v3.2';
C1aS= 'DEVELOPED BY TED PAINTER AND ANDREAS SPANIAS';
C2S = 'COPYRIGHT (C) 1995-99 ANDREAS SPANIAS';
C3S = 'This Copyright applies only to this particular MATLAB implementation';
C4S = 'of the FS-1016 CELP coder.  The MATLAB software is intended only for educational';
C5S = 'purposes.  No other use is intended or authorized.  This is not a public';
C6S = 'domain program and distribution to individuals or networks is strictly';
C7S = 'prohibited.  Be aware that use of the standard in any form is goverened';
C8S = 'by rules of the US DoD.  Therefore patents and royalties may apply to';
C9S = 'authors, companies, or committees associated with this standard, FS-1016.  For';
C10S = 'questions regarding the MATLAB implementation please contact Andreas';
C11S = 'Spanias at  (602) 965-1837.  For questions on rules,';
C12S = 'royalties, or patents associated with the standard, please contact the DoD.';
C13S = 'ALL DERIVATIVE WORKS MUST INCLUDE THIS COPYRIGHT NOTICE.';

% CREATE COPYRIGHT WINDOW
guiF1 = figure( 'Position', F1POS, 'number', 'on', 'name', NameStr, ...
                'resize', 'on', 'Menubar', 'figure','color','k' );
clf;

% DISPLAY COPYRIGHT NOTICE
guitext( C1P, C1S, 'k', 'w' );
guitext( C1aP, C1aS, 'k', 'w' );
guitext( C2P, C2S, 'k', 'w' );
guitext( C3P, C3S, 'k', 'w' );
guitext( C4P, C4S, 'k', 'w' );
guitext( C5P, C5S, 'k', 'w' );
guitext( C6P, C6S, 'k', 'w' );
guitext( C7P, C7S, 'k', 'w' );
guitext( C8P, C8S, 'k', 'w' );
guitext( C9P, C9S, 'k', 'w' );
guitext( C10P, C10S, 'k', 'w' );
guitext( C11P, C11S, 'k', 'w' );
guitext( C12P, C12S, 'k', 'w' );
guitext( C13P, C13S, 'k', 'w' );

% OK BUTTON
OKButton = uicontrol('Style','Pushbutton','Position',OKCPOS,'Callback',...
'close; celpexec;','String','I Agree To Honor This Copyright Notice');
