% MATLAB SIMULATION OF NSA FS-1016 CELP v3.2
% COPYRIGHT (C) 1995-99 ANDREAS SPANIAS AND TED PAINTER
%
% This Copyright applies only to this particular MATLAB implementation
% of the FS-1016 CELP coder.  The MATLAB software is intended only for educational
% purposes.  No other use is intended or authorized.  This is not a public
% domain program and distribution to individuals or networks is strictly
% prohibited.  Be aware that use of the standard in any form is goverened
% by rules of the US DoD.  Therefore patents and royalties may apply to
% authors, companies, or committees associated with this standard, FS-1016.  For
% questions regarding the MATLAB implementation please contact Andreas
% Spanias at (602) 965-1837.  For questions on rules,
% royalties, or patents associated with the standard, please contact the DoD.
%
% ALL DERIVATIVE WORKS MUST INCLUDE THIS COPYRIGHT NOTICE.
%
% ******************************************************************
% CELP 3.2a
%
% NSA CELP 3.2 SPEECH CODER
%
% PORTED TO MATLAB FROM CELP 3.2a C RELEASE
% 6-7-94
%
% ******************************************************************
%
% DESCRIPTION
%
% CELP vocoder simulation, including analysis, transmission, synthesis,
% and graphical user interface (GUI).
%
% DESIGN NOTES
%
% This simulation has been ported from the NSA version of CELP, CELP 3.2a,
% available in source code form via Internet anonymous ftp@super.org.
% All MATLAB code has been optimized ("vectorized") to run in the
% MATLAB environment where possible.  For example, all for loops have
% been replaced with array-wise or column/row-wise operations,
% where possible. In addition, many operations which were done by
% loop based summations, such as filtering, have been replaced with
% calls to simple MATLAB built in functions.  These include
% operations such as filter() and median(). With some work, it is probably
% still be possible to optimize some sections further.
%
% ******************************************************************

% INIT SIMULATION
init;




