% MATLAB SIMULATION OF NSA FS-1016 CELP v3.2
% COPYRIGHT (C) 1995-99 ANDREAS SPANIAS AND TED PAINTER
%
% This Copyright applies only to this particular MATLAB implementation
% of the FS-1016 CELP coder.  The MATLAB software is intended only for educational
% purposes.  No other use is intended or authorized.  This is not a public
% domain program and distribution to individuals or networks is strictly
% prohibited.  Be aware that use of the standard in any form is goverened
% by rules of the US DoD.  Therefore patents and royalties may apply to
% authors, companies, or committees associated with this standard, FS-1016.  For
% questions regarding the MATLAB implementation please contact Andreas
% Spanias at (480) 965-1837.  For questions on rules,
% royalties, or patents associated with the standard, please contact the DoD.
%
% ALL DERIVATIVE WORKS MUST INCLUDE THIS COPYRIGHT NOTICE.
%
% ******************************************************************
% GUITEXT
%
% NSA CELP 3.2a SPEECH CODER GRAPHICAL USER INTERFACE (GUI)
% 8-25-94
%
% ******************************************************************
%
% DESCRIPTION
%
% Display a text object in the current window at the specified
% position with the specified color scheme.
%
% DESIGN NOTES
%
% This routine is used by guiqual.m to generate the objective quality
% measurement window.
%
% VARIABLES
%
% INPUTS
%   pos        -   Desired text placement position
%   str        -   Text object to be placed in the window
%   bc         -   Desired background color
%   fc         -   Desired foreground color
%
% ******************************************************************

function guitext( pos, str, bc, fc )

uicontrol('style', 'text', 'position', pos, ...
          'string', str, 'backg',bc, 'foreg',fc,'horiz','left' );


